
#language: ru

@MovingProducts

Функционал: 009. MovingProducts. Проверка контроля остатков для заказа на перемещение

Сценарий: 009.1. MovingProducts. Проверка контроля остатков для заказа на перемещение - количество в заказе, имеющем план отгрузки, не может уменьшаться

	Дано Я подключаюсь под "Создание заказов на перемещение"
	Дано я устанавливаю текущему сеансу заголовок приложения "14.009. Перемещение товаров"
	И В командном интерфейсе я выбираю 'Заказы' 'Заказы на перемещение'
	Тогда открылось окно 'Заказы на перемещение'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                  |
		| 'Заказ на перемещение для перемещения вручную' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Заказ на перемещение * от * [Создан]'
	И в таблице "Товары" я перехожу к строке:
		| 'Номенклатура'   |
		| 'Сыр Адыгейский' |
	И в таблице "Товары" в поле 'Подтвержденный - Заказ на перемещение' я ввожу текст '8,000'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку с именем 'OK'
	Тогда открылось окно 'Заказ на перемещение * от * [Создан] *'
	Тогда в логе сообщений TestClient есть строка по шаблону "*Превышен остаток на складе Сырная ГП для Заказ на перемещение * от 13.10.2019 [Создан] на 2 кг.*"
	И Я закрываю окно 'Заказ на перемещение * от * [Создан] *'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Нет'
	Тогда открылось окно 'Заказы на перемещение'
	И Я закрываю окно 'Заказы на перемещение'

Сценарий: 009.2. Завершение

	И я закрываю сеанс TESTCLIENT